Description

The new save edits button that behaves like a menu requires a few too many clicks to save the current layer edits.  I think this button

would be better implemented as a single button (save edits) with menu on the side with the extra options.

History

#1 - 2012-12-30 09:04 AM - Larry Shaffer

Hi Nathan,

I agree, the current implementation needs fixed. After a couple of days using the new button menu, I find the extra click to be annoying as well. I see two

options:

A) Reinstate the Save Edits button, but with side menu to other Current Edits actions

Pros

    -  Save Edits in one click

Cons

    -  If user miss-clicks when trying to access menu of Current Edits action, they could accidentally click Save Edits, a possibly destructive action if the user

was intending to rollback or cancel edits. (This is why I initially avoided this tool button configuration.)

B) Reinstate the Save Edits button as a single, standalone button, as before, leaving Current Edits button as is.

Pros

    -  Save Edits in one click

    -  Familiar to users

    -  Could function on active layer, even if it is not selected (which is possible, and a current flaw with Current Edits action for saving selected layers)

Cons

    -  More toolbar tool button bloat (My current button was an attempt to reduce such bloat, but obviously, it's not ideal)

Any other ideas? I would definitely like to solve this usability issue. For now, I prefer option B).

#2 - 2012-12-31 03:32 PM - Larry Shaffer

- Status changed from Open to Feedback

Hi Nathan,

So I chose B) above and implemented it in commit commit:ba5b90a1

Please test
#3 - 2013-01-02 07:40 AM - Giovanni Manghi

Larry Shaffer wrote:

Hi Nathan,

So I chose B) above and implemented it in commit commit:ba5b90a1

Please test

seems ok, closing?

#4 - 2013-01-07 08:03 PM - Nathan Woodrow

- Resolution set to fixed

- Status changed from Feedback to Closed

Yes it's better now. Closing.
